Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Suspend_Node Class Reference

Suspend a Service Node. More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Suspend_Node:

[legend]
Collaboration diagram for ACE_Suspend_Node:

[legend]
List of all members.

## Public Methods

| ACE_Suspend_Node (const ACE_TCHAR *name)
| ~ACE_Suspend_Node (void)
virtual void | apply (int &yyerrno)
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Suspend a Service Node.

Note:
  This class is only meant for INTERNAL use by ACE.

## Constructor & Destructor Documentation

ACE_Suspend_Node::ACE_Suspend_Node | ( | const ACE_TCHAR * | name | ) |

ACE_INLINE ACE_Suspend_Node::~ACE_Suspend_Node | ( | void |  | ) |

## Member Function Documentation

void ACE_Suspend_Node::apply | ( | int & | yyerrno | ) | `[virtual]`

| Implements ACE_Parse_Node.

void ACE_Suspend_Node::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Parse_Node.

## Member Data Documentation

ACE_Suspend_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Parse_Node.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Parse_Node.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Parse_Node.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Parse_Node.i